catalog-prices
List catalog prices for a merchant
Returns catalog prices sorted by newest first using cursor pagination. Optional start and end filters bound createdAt inclusively.
GET
/
catalog
/
prices
List catalog prices for a merchant
curl --request GET \
--url https://api-sandbox.paygood.co/catalog/prices \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.paygood.co/catalog/prices"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.paygood.co/catalog/prices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.paygood.co/catalog/prices",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.paygood.co/catalog/prices"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.paygood.co/catalog/prices")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.paygood.co/catalog/prices")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"priceId": "<string>",
"merchantId": "<string>",
"amount": 4503599627370495,
"currency": "<string>",
"type": "one_time",
"createdAt": "2023-11-07T05:31:56Z",
"productId": "<string>",
"interval": "<string>",
"archivedAt": "2023-11-07T05:31:56Z"
}
],
"page": {
"hasMore": true,
"nextCursor": "<string>"
}
}Authorizations
Merchant API key bearer token.
Query Parameters
Inclusive ISO-8601 upper bound for price createdAt.
Example:
"2026-03-31T23:59:59.999Z"
Inclusive ISO-8601 lower bound for price createdAt.
Example:
"2026-03-01T00:00:00.000Z"
Opaque cursor from a previous page.nextCursor.
Example:
"eyJ2IjoxLCJkYXRhIjp7ImNyZWF0ZWRBdCI6IjIwMjYtMDMtMDFUMTI6MDA6MDAuMDAwWiIsImlkIjoicHJpY2VfMDEuLi4ifX0="
Number of items to return. Maximum 100.
Example:
25
Merchant TypeID (mer_...) to scope the list.
Example:
"mer_01hxy8m1nqk9g3x3y3p0azq2bg"
⌘I
List catalog prices for a merchant
curl --request GET \
--url https://api-sandbox.paygood.co/catalog/prices \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.paygood.co/catalog/prices"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.paygood.co/catalog/prices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.paygood.co/catalog/prices",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.paygood.co/catalog/prices"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.paygood.co/catalog/prices")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.paygood.co/catalog/prices")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"priceId": "<string>",
"merchantId": "<string>",
"amount": 4503599627370495,
"currency": "<string>",
"type": "one_time",
"createdAt": "2023-11-07T05:31:56Z",
"productId": "<string>",
"interval": "<string>",
"archivedAt": "2023-11-07T05:31:56Z"
}
],
"page": {
"hasMore": true,
"nextCursor": "<string>"
}
}